Bug 1430586 - Right click on touchpad produces left click
Summary: Right click on touchpad produces left click
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-09 01:40 UTC by Jānis Rukšāns
Modified: 2019-01-09 12:54 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:50:51 UTC
Type: Bug


Attachments (Terms of Use)
Xorg.0.log (46.12 KB, text/plain)
2017-03-09 01:40 UTC, Jānis Rukšāns
no flags Details
xinput --list-props output (3.06 KB, text/plain)
2017-03-09 01:42 UTC, Jānis Rukšāns
no flags Details
udevadm --info output (1.40 KB, text/plain)
2017-03-09 01:43 UTC, Jānis Rukšāns
no flags Details
evemu-describe output (7.68 KB, text/plain)
2017-03-09 01:44 UTC, Jānis Rukšāns
no flags Details
evemu-record output (292.43 KB, text/plain)
2017-03-16 01:05 UTC, Jānis Rukšāns
no flags Details
hid-recorder output (236.76 KB, text/plain)
2017-03-16 01:06 UTC, Jānis Rukšāns
no flags Details
udevadm-info output with 4.11.rc4 (800 bytes, text/plain)
2017-03-29 21:21 UTC, Jānis Rukšāns
no flags Details
evemu-record output with 4.11.rc4 (190.80 KB, text/plain)
2017-03-29 21:22 UTC, Jānis Rukšāns
no flags Details
hid-recorder output with 4.11.rc4 (232.56 KB, text/plain)
2017-03-29 21:23 UTC, Jānis Rukšāns
no flags Details
dmesg output using kernel 4.11.rc4 (75.35 KB, text/plain)
2017-03-29 21:23 UTC, Jānis Rukšāns
no flags Details

Description Jānis Rukšāns 2017-03-09 01:40:20 UTC
Created attachment 1261417 [details]
Xorg.0.log

Description of problem:

Clicking the right-click area on the touchpad of my Dell Vostro 15 3568 laptop produces a left-click (it is a clickpad, and the entire touchpad is clickable).


How reproducible:
Always, regardless of tap-to-click settings, and is also happens when using Wayland.

Steps to Reproduce:
1. Click on the right click area on the touchpad.

Actual results:
Left click, eg. follows the link in browser.

Expected results:
Right click, eg. opens a context menu.


Additional info:

xinput --list actually shows two touchpad devices - SynPS/2 Synaptics TouchPad and a "DELL0794:00 06CB:7F13":

$ xinput --list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Logitech USB-PS/2 Optical Mouse         	id=10	[slave  pointer  (2)]
⎜   ↳ DELL0794:00 06CB:7F13                   	id=12	[slave  pointer  (2)]
⎜   ↳ SynPS/2 Synaptics TouchPad              	id=15	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
  ...

The latter seems to be the one that is used, as xinput --disable 12 stops the touchpad from working. Synapics input driver is installed, but AFAICT is not used.

Comment 1 Jānis Rukšāns 2017-03-09 01:42:12 UTC
Created attachment 1261418 [details]
xinput --list-props output

Comment 2 Jānis Rukšāns 2017-03-09 01:43:31 UTC
Created attachment 1261419 [details]
udevadm --info output

Comment 3 Jānis Rukšāns 2017-03-09 01:44:56 UTC
Created attachment 1261420 [details]
evemu-describe output

Comment 4 Peter Hutterer 2017-03-09 01:56:50 UTC
INPUT_PROP_BUTTONPAD is missing from the I2C device, punting to benjamin

Comment 5 Benjamin Tissoires 2017-03-13 13:39:01 UTC
Can you attach an evemu-record output of the "DELL0794:00 06CB:7F13" device, and also a hid-recorder output (package hid-replay) of the very same one?

I am surprised the kernel doesn't report BUTTONPAD for i2c-hid devices (unless it's not using hid-multitouch)

Comment 6 Jānis Rukšāns 2017-03-16 01:05:23 UTC
Created attachment 1263538 [details]
evemu-record output

Comment 7 Jānis Rukšāns 2017-03-16 01:06:20 UTC
Created attachment 1263551 [details]
hid-recorder output

Comment 8 Jānis Rukšāns 2017-03-16 01:12:39 UTC
Attached output of evemu-record and hid-recorder run simultaneously. Should have both left and right clicks in there, as well as "touchpad" click, and some multi-finger taps.

Comment 9 Benjamin Tissoires 2017-03-16 08:07:02 UTC
Thanks for the logs. Your touchpad is using hid-rmi, and that's why the button_pad option was not set.

hid-rmi had some updates in v4.11. So please install the rawhide nodebug kernel[1] and report if you still have issues (please attach a dmesg with v4.11-rc2 here as well).

[1] https://fedoraproject.org/wiki/RawhideKernelNodebug

Comment 10 Jānis Rukšāns 2017-03-29 21:21:27 UTC
Created attachment 1267368 [details]
udevadm-info output with 4.11.rc4

Comment 11 Jānis Rukšāns 2017-03-29 21:22:28 UTC
Created attachment 1267369 [details]
evemu-record output with 4.11.rc4

Comment 12 Jānis Rukšāns 2017-03-29 21:23:09 UTC
Created attachment 1267370 [details]
hid-recorder output with 4.11.rc4

Comment 13 Jānis Rukšāns 2017-03-29 21:23:58 UTC
Created attachment 1267371 [details]
dmesg output using kernel 4.11.rc4

Comment 14 Jānis Rukšāns 2017-03-29 21:27:45 UTC
Hi, sorry that this took so long.  The issue is still present after installing the latest rawhide nodebug kernel (4.11.rc4).  Output from udevadm info, evemu-record, hid-recorder and dmesg attached.

Comment 15 Benjamin Tissoires 2017-04-10 08:06:40 UTC
Thanks for the log (and sorry for the delay). I have requested some more documentation to Synaptics because the driver misses setting the property and I do not understand why.

Comment 16 Justin M. Forbes 2017-04-11 14:41:34 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 17 Jānis Rukšāns 2017-04-18 18:48:15 UTC
As noted above, the issue is still present with 4.11.rc4.

Comment 18 Armijn Hemel 2017-07-14 18:20:52 UTC
I am seeing this too on Fedora 25 (4.11.9-200.fc25.x86_64) and when booting the Fedora 26 live image. Doesn't happen on the Fedora 25 live image or Fedora 24. However, my device is not a Synaptics:

 xinput --list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Logitech USB Laser Mouse                	id=11	[slave  pointer  (2)]
⎜   ↳ ETPS/2 Elantech Touchpad                	id=14	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=8	[slave  keyboard (3)]
    ↳ Power Button                            	id=9	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=10	[slave  keyboard (3)]
    ↳ LG HD WebCam                            	id=12	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=13	[slave  keyboard (3)]

Other output (to match previous reporter):

# xinput --list-props 'ETPS/2 Elantech Touchpad'
Device 'ETPS/2 Elantech Touchpad':
	Device Enabled (138):	1
	Coordinate Transformation Matrix (140):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Tapping Enabled (291):	0
	libinput Tapping Enabled Default (292):	0
	libinput Tapping Drag Enabled (293):	1
	libinput Tapping Drag Enabled Default (294):	1
	libinput Tapping Drag Lock Enabled (295):	0
	libinput Tapping Drag Lock Enabled Default (296):	0
	libinput Tapping Button Mapping Enabled (297):	1, 0
	libinput Tapping Button Mapping Default (298):	1, 0
	libinput Accel Speed (273):	0.000000
	libinput Accel Speed Default (274):	0.000000
	libinput Natural Scrolling Enabled (278):	0
	libinput Natural Scrolling Enabled Default (279):	0
	libinput Send Events Modes Available (258):	1, 1
	libinput Send Events Mode Enabled (259):	0, 0
	libinput Send Events Mode Enabled Default (260):	0, 0
	libinput Left Handed Enabled (280):	0
	libinput Left Handed Enabled Default (281):	0
	libinput Scroll Methods Available (282):	1, 1, 0
	libinput Scroll Method Enabled (283):	1, 0, 0
	libinput Scroll Method Enabled Default (284):	1, 0, 0
	libinput Click Methods Available (299):	1, 1
	libinput Click Method Enabled (300):	0, 1
	libinput Click Method Enabled Default (301):	1, 0
	libinput Middle Emulation Enabled (287):	0
	libinput Middle Emulation Enabled Default (288):	0
	libinput Disable While Typing Enabled (302):	1
	libinput Disable While Typing Enabled Default (303):	1
	Device Node (261):	"/dev/input/event7"
	Device Product ID (262):	2, 14
	libinput Drag Lock Buttons (289):	<no items>
	libinput Horizontal Scroll Enabled (290):	0

Comment 19 Peter Hutterer 2017-07-17 01:03:41 UTC
(In reply to Armijn Hemel from comment #18)
> 	libinput Click Method Enabled (300):	0, 1

Armijn: this is a configuration issue in your case, not the kernel issue as described in this bug. you have clickfinger behaviour enabled and that removes the bottom right software button area.
https://wayland.freedesktop.org/libinput/doc/latest/clickpad_softbuttons.html
If you're using GNOME, you can change this behaviour with the tweak tool.

Comment 20 Armijn Hemel 2017-07-17 06:30:28 UTC
Hm, indeed, that gives me a right click, so not this bug. What puzzles me is that in the configuration (I am using MATE) clickfinger is not enabled :-/

Comment 21 Armijn Hemel 2017-07-17 07:02:11 UTC
(In reply to Armijn Hemel from comment #20)
> Hm, indeed, that gives me a right click, so not this bug. What puzzles me is
> that in the configuration (I am using MATE) clickfinger is not enabled :-/

Got it to work again (in a crude way), documenting in case someone is bumping into the same bug:

1. log out
2. remove $HOME/.config/dconf
3. log back in to recreate the $HOME/.config/dconf file
4. recreate your settings

Comment 22 Indivar Nair 2017-09-11 18:57:33 UTC
I have a Dell Vostro 3568 and I had the same problem.

xinput shows 2 touch pad devices -
-----------------------------------------------------------------------------
# xinput list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ DELL0794:00 06CB:7F13                   	id=11	[slave  pointer  (2)]
⎜   ↳ SynPS/2 Synaptics TouchPad              	id=14	[slave  pointer  (2)]
-----------------------------------------------------------------------------
Both 'DELL0794' and 'SynPS/2' are the same device.

Recreating $HOME/.config/dconf did not work for me.
But changing the synaptics configuration file did.

In the relevant xorg configuration file, I just added the line -
Option "ClickPad" "true"

In my case, the file was -
/usr/share/X11/xorg.conf.d/50-synaptics.conf
----------------------------------------------------
Section "InputClass"
        Identifier "touchpad catchall"
        Driver "synaptics"
        MatchIsTouchpad "on"
        MatchDevicePath "/dev/input/event*"
        Option "ClickPad" "true"
EndSection
----------------------------------------------------

Rebooted the system and right click started working fine.

There is no difference in the 'synclient -l' output
And only one line is different in the 'xinput list-props' output

# xinput list-props "DELL0794:00 06CB:7F13"
Synaptics Middle Button Timeout (280):	0
(It was earlier 74)

But right click now works.
Hope this small change helps others.

Comment 23 Fedora End Of Life 2017-11-16 19:21:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2017-12-12 10:50:51 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 25 bhanu 2018-02-12 05:24:38 UTC
(In reply to Indivar Nair from comment #22)
> I have a Dell Vostro 3568 and I had the same problem.
> 
> xinput shows 2 touch pad devices -
> -----------------------------------------------------------------------------
> # xinput list
> ⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
> ⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
> ⎜   ↳ DELL0794:00 06CB:7F13                   	id=11	[slave  pointer  (2)]
> ⎜   ↳ SynPS/2 Synaptics TouchPad              	id=14	[slave  pointer  (2)]
> -----------------------------------------------------------------------------
> Both 'DELL0794' and 'SynPS/2' are the same device.
> 
> Recreating $HOME/.config/dconf did not work for me.
> But changing the synaptics configuration file did.
> 
> In the relevant xorg configuration file, I just added the line -
> Option "ClickPad" "true"
> 
> In my case, the file was -
> /usr/share/X11/xorg.conf.d/50-synaptics.conf
> ----------------------------------------------------
> Section "InputClass"
>         Identifier "touchpad catchall"
>         Driver "synaptics"
>         MatchIsTouchpad "on"
>         MatchDevicePath "/dev/input/event*"
>         Option "ClickPad" "true"
> EndSection
> ----------------------------------------------------
> 
> Rebooted the system and right click started working fine.
> 
> There is no difference in the 'synclient -l' output
> And only one line is different in the 'xinput list-props' output
> 
> # xinput list-props "DELL0794:00 06CB:7F13"
> Synaptics Middle Button Timeout (280):	0
> (It was earlier 74)
> 
> But right click now works.
> Hope this small change helps others.

THANKS BRO!! Worked like charm.

We just need to edit synaptics config files as a root user.

1)         First install gksu text editor.(sudo apt-get install gksu)

2)          Identify the path of your synaptics config files.(In my case, it 
            was: /usr/share/X11/xorg.conf.d/70-synaptics.conf  ) 

3)          Open terminal --> Type: sudo -s -->type your password--> 
            type gksudo gksu  /usr/share/X11/xorg.conf.d/70-synaptics.conf -->

4)         Now, text editor will be opened.

 5)        Add the line -
           Option "ClickPad" "true"

6)         Add that line like this:


 ----------------------------------------------------
 Section "InputClass"
         Identifier "touchpad catchall"
         Driver "synaptics"
         MatchIsTouchpad "on"
         MatchDevicePath "/dev/input/event*"
         Option "ClickPad" "true"
 EndSection
 ----------------------------------------------------
 

7)         Save it and restart your PC.It will work for sure.  :)


Note You need to log in before you can comment on or make changes to this bug.